%define upstream_name    Test-Alien-CPP
%define upstream_version 1.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Skip a test file unless a C++ compiler is available
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::CBuilder) >= 0.270.0
BuildRequires: perl(ExtUtils::CppGuess)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test2::Require) >= 0.0.121
BuildRequires: perl(Test2::V0) >= 0.0.121
BuildRequires: perl(Test::Alien) >= 1.880.0
BuildRequires: perl(Test::Alien::Build) >= 1.210.0
BuildRequires: perl(Text::ParseWords)
BuildArch:  noarch

%description
This module works exactly like the Test::Alien manpage except that it
supports C++. All functions like 'alien_ok', etc that are exported by the
Test::Alien manpage are exported by this module. The only difference is
that 'xs_ok' injects C++ support before delegating to the Test::Alien
manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 01 2025 umeabot <umeabot> 1.40.0-2.mga10
+ Revision: 2234698
- Mageia 10 Mass Rebuild

* Fri Jan 24 2025 tv <tv> 1.40.0-1.mga10
+ Revision: 2141960
- update to 1.04

* Thu May 12 2022 tv <tv> 1.30.0-1.mga9
+ Revision: 1857728
- update to 1.03

* Mon Mar 21 2022 umeabot <umeabot> 1.20.0-2.mga9
+ Revision: 1812412
- Mageia 9 Mass Rebuild

* Sat Feb 22 2020 shlomif <shlomif> 1.20.0-1.mga8
+ Revision: 1549378
- imported package perl-Test-Alien-CPP


* Sat Feb 22 2020 cpan2dist 1.02-1mga
- initial mageia release, generated with cpan2dist
